solscan logo
Register NowRegister Now

program analytics

get

https://pro-api.solscan.io/v2.0/program/analytics

Retrieve comprehensive on-chain analytics for any Solana program. This endpoint provides detailed program-level statistics, including the number of transactions, successful transactions, total interaction volume, and the count of instruction calls.

QUERY PARAMS

address

string

required

A program address on solana blockchain.

range

number

Time range in days for the data/statistics to be returned.

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Status of Api

num_trans

number

Total transactions in range

num_trans_success

number

Total success transactions in range

interaction_volume

number

Total interaction volume in range

last_24h_active_users

number

Number of active users in the last 24 hours

active_users_change_24

number

24-hour active users change compared to the previous day (in percent)

data

object

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples